config/routes.rb
Rails.application.routes.draw do
  get 'welcome/index'

  resources :offices
  resources :associates
  resources :admins
  devise_for :users
  resources :projects
	resources :members
  root to: 'welcome#index'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/views/admins/_form.html.erb
<%= form_with(model: admin, local: true) do |form| %>
  <% if admin.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(admin.errors.count, "error") %> prohibited this admin from being saved:</h2>

      <ul>
      <% admin.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :membro %>
    <%= form.text_field :membro, id: :admin_membro %>
  </div>

  <div class="field">
    <%= form.label :cargo %>
    <%= form.text_field :cargo, id: :admin_cargo %>
  </div>

  <div class="field">
    <%= form.label :saldo %>
    <%= form.text_field :saldo, id: :admin_saldo %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>

app/views/admins/edit.html.erb
<h1>Editing Admin</h1>

<%= render 'form', admin: @admin %>

<%= link_to 'Show', @admin %> |
<%= link_to 'Back', admins_path %>

app/views/admins/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Administrador</h1>

<table>
  <thead>
    <tr>
      <th>Membro</th>
      <th>Cargo</th>
      <th>Saldo</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @admins.each do |admin| %>
      <tr>
        <td><%= admin.membro %></td>
        <td><%= admin.cargo %></td>
        <td><%= admin.saldo %></td>
        <td><%= link_to 'Mostrar', admin, class: "btn btn-round btn-primarybtn btn-round btn-primarybtn btn-round btn-primary" %></td>
        <td><%= link_to 'Editar', edit_admin_path(admin), class: "btn btn-round btn-primarybtn btn-round btn-primarybtn btn-round btn-primary" %></td>
        <td><%= link_to 'Deletar', admin, class: "btn btn-round btn-primarybtn btn-round btn-primarybtn btn-round btn-primary", method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'Novo Administrador', new_admin_path, class: "btn btn-primary" %>

app/views/admins/new.html.erb
<h1>New Admin</h1>

<%= render 'form', admin: @admin %>

<%= link_to 'Back', admins_path %>

app/views/admins/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Membro:</strong>
  <%= @admin.membro %>
</p>

<p>
  <strong>Cargo:</strong>
  <%= @admin.cargo %>
</p>

<p>
  <strong>Saldo:</strong>
  <%= @admin.saldo %>
</p>

<%= link_to 'Edit', edit_admin_path(@admin) %> |
<%= link_to 'Back', admins_path %>